#include <stdio.h>
#include <string.h>

#include "file.h"

void get_file_path(char *uri, char *file_path) {
    char *question = strrchr(uri, '?');
    if(question) {
    	*question = '\0';
    }
	
	char index_file[] = "index.html"; // 11 chars + \0
    if(uri[strlen(uri) - 1] == '/') {
    	strncat(uri, index_file, strlen(index_file) + 1);
    }

	strncpy(file_path, file_dir, strlen(file_dir) + 1);
	strncat(file_path, uri, strlen(uri) + 1);
	
	const char *dot = strrchr(file_path, '.');
	if(!dot || dot == file_path) {
		strncat(file_path, ".html", 6);
	}
}

void get_mime_type(char *file, char *mime) {
	const char *dot = strrchr(file, '.');

	if (dot == NULL)
		strcpy(mime, "text/html");
		 	
	else if (strcmp(dot, ".html") == 0)
	    strcpy(mime, "text/html");
	
	else if (strcmp(dot, ".css") == 0)
	    strcpy(mime, "text/css");
	
	else if (strcmp(dot, ".js") == 0)
	    strcpy(mime, "application/js");
	
	else if (strcmp(dot, ".jpg") == 0)
	    strcpy(mime, "image/jpeg");
	
	else if (strcmp(dot, ".png") == 0)
	    strcpy(mime, "image/png");
	
	else if (strcmp(dot, ".gif") == 0)
	    strcpy(mime, "image/gif");
	
	else
	    strcpy(mime, "text/html");
}
